## stunnel4 4.35

=== debian/changelog ===
stunnel4 (3:4.35-2build1) oneiric; urgency=low

  * Rebuild for OpenSSL 1.0.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 17 May 2011 11:53:02 +0100

stunnel4 (3:4.35-2) unstable; urgency=low

  * Fix variable substitution in init script (Closes: #623221).
    Thanks Tomas Kapralek <kapralek@cvut.cz> for report and diagnosis.

 -- Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>  Mon, 18 Apr 2011 20:46:01 -0700

stunnel4 (3:4.35-1) unstable; urgency=low

  * New Upstream Releases (Closes: #621987).
  * Upstream incorporated our init script, so this package no longer carries
    its own copy of it.
  * Bump Standards-Version to 3.9.2. No changes needed.
  * Remove /etc/stunnel/stunnel4.conf file as it is useless, except as a sample.
    A README file for /etc/stunnel was provided (Closes: #549384).
  * Minor cleanup of debian/rules, no longer runs configure twice.

 -- Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>  Sun, 17 Apr 2011 22:04:53 -0700

stunnel4 (3:4.33-1) experimental; urgency=low

  * New Upstream Releases
   - 4.31
    + A SIGHUP to the server will cause it to reload the configuration file.
    + A SIGUSR1 to the server causes it to reopen its log files.
   - 4.32
    + New service-level "libwrap" option for run-time control whether
      /etc/hosts.allow and /etc/hosts.deny are used for access control.
      Disabling libwrap significantly increases performance of stunnel.
   - 4.33
    + Fixes to inetd mode
  
   For more details please see upstream's ChangeLog.

  * Init script now provides reload and reopen-log options (Closes: #323171).
  * The logrotate config file now takes advantage of reopen-log option.
  * Update config.{build,sub} on build. Closes: #535719.
  * Add missing ${misc:Depends} entry to debian/control.
  * Update copyright years.
  * Update to Standards-Version: 3.9.1
   - stunnel4 no longer Conflicts: stunnel, but merely Breaks: stunnel.
  * Update packaging to source format 3.0 (quilt).

 -- Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>  Fri, 27 Aug 2010 16:58:44 -0700

stunnel4 (3:4.29-1) unstable; urgency=low

  * New upstream version (Closes: #559270).
   - sessiond, a high performance SSL session cache was built for stunnel.
     A new service-level "sessiond" option was added.  sessiond is
     available for download on ftp://stunnel.mirt.net/stunnel/sessiond/ .
     stunnel clusters will be a lot faster, now!
   - Transparent proxy support on Linux kernels >=2.6.28.
     See the manual for details.
     The old transproxy.txt file is no longer provided.
   - New socket options to control TCP keepalive on Linux:
     TCP_KEEPCNT, TCP_KEEPIDLE, TCP_KEEPINTVL.
   - SSL options updated for the recent version of OpenSSL library.
   - Bugfixes
    + Missing "fips" option was added to the manual.
    + A serious bug in asynchronous shutdown code fixed.
    + Data alignment updated in libwrap.c.
    + Polish manual encoding fixed. Debian's patch for this removed.
    + Notes on compression implementation in OpenSSL added to the manual.

  * Use correct owner:group for logs after rotation. (Closes: #529481).
    Thanks Brian 'morlenxus' Miculcy <morlenxus@gmx.net>
  * Use copytruncate in logrotate file, instead of restarting the
    daemon (Closes: #535915).
    Thanks Andrew Buckeridge <andrewb@bgc.com.au>
  * Bump Standards-Version to 3.8.3. No changes required.
  * Do not specify path to true in postinst script.

 -- Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>  Tue, 08 Dec 2009 19:34:21 -0800

stunnel4 (3:4.27-1) unstable; urgency=low

  * New upstream release.
   - Remove debian/patches/security-check_certificate, now included upstream.
     Fixes: CVE-2008-2420
   - Libwrap helper processes fixed to close standard
     input/output/error file descriptors. (Closes: #482379)
  * Rebase quilt patches to not require -p0. (Closes: #484966)
  * Fix sample configuration file to use ssl cert from /etc/ssl/certs
    (Closes: #460953).
  * Warn if automatic startup is disabled in /etc/default/stunnel4
    (Closes: #475599).
  * Use invoke-rc.d in ppp start/stop scripts.
  * Standards-Version: 3.8.1.
    - Add README.source documenting use of quilt.
  * Bump to debhelper 7
    - Remove unused old option from dh_mkshlibs call
  * Declare the polish pod's encoding and use unicode when converting it
    to a manpage.
  * Dummy upgrade package is priority: extra
  
 -- Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>  Fri, 24 Apr 2009 19:56:05 -0700

stunnel4 (3:4.22-2) unstable; urgency=low

  * Check if a daemon is already running before trying to start it with the
    same configuration file. Thanks Peter Palfrader <weasel@debian.org> for
    the report (Closes: #506091).

 -- Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>  Tue, 18 Nov 2008 13:52:42 +0100

stunnel4 (3:4.22-1.1) unstable; urgency=high

  * Non-maintainer upload by the security team
  * Fix security bug in the OCSP functionality that allowed revoked
    certificates to authenticate (Closes: #482644)
    Fixes: CVE-2008-2420

 -- Steffen Joeris <white@debian.org>  Tue, 27 May 2008 18:28:56 +0200

stunnel4 (3:4.22-1) unstable; urgency=low

  * New upstream release.
   - Build system now uses standard automake dirs.
   - Reworked logging system avoids outputing before log file is configured 
    (Closes: #460019).
   - Simultaneous logging to a file and the syslog is now possible.
   - A new service level option to control stack size:
     stack = <number of bytes>
   - Bugfixes in libwrap support code.
  * debian/patches/setuid.patch: Removed, it's included upstream.
  * debian/patches/fix-paths: Reworked to use automake's standard dirs.
  * Rebase the rest of the patches.
  * Update standards-version to 3.7.3. No changes needed.
  * Fix build-dependencies on -1 revisions of libssl-dev, openssl and quilt.
  * Register documentation in the System/Security section.
  
 -- Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>  Tue, 01 Apr 2008 11:07:56 -0600


