=== debian/watch ===
version=3

ftp://ftp.stunnel.org/stunnel/stunnel-4.([\d]+)+\.tar\.gz debian
